<!doctype html>
<html xmlns:th="http://www.thymeleaf.org" lang="es">
  	<head>
    	<!-- Required meta tags -->
    	<meta charset="utf-8">
    	<meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">

    	<!-- Bootstrap CSS -->
		<link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css" 
		integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">
		<link rel="stylesheet" href="https://use.fontawesome.com/releases/v5.8.1/css/all.css" 
		integrity="sha384-50oBUHEmvpQ+1lW4y57PTFmhCaXp0ML5d60M1M7uH2+nqUivzIebhndOJK28anvf" crossorigin="anonymous">

		<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/animate.css/3.7.0/animate.min.css">
		
		<link rel="stylesheet" href="/css/login.css">
		
		<title>Bookstore</title>
  	</head>

	<body class="bg-light" onload="loadingAjax('loading');">
		
		<!-- Hay que hacer que ocupetoda la pantalla y no muestre lo demás -->
		<div id="loading">
        	<img id="loading-image" src="ajax-loader.gif" style="display:none;"/>
    	</div>

		<div class="container-fluid" id="content">
			
			<div class="row p-5 fullcontent">
				<div class="col-md-8 align-self-center">
					<div class="headings animated fadeInLeft">

						<img src="/img/logo-bookstore.png" height="120" alt="logotipo">

						<h2 class="my-4 animated fadeInDown delay-1s" >Lorem ipsum dolor sit amet consectetur adipisicing elit. Voluptatem minima libero, quisquam voluptates reprehenderit quia! Sit vel vero officiis doloribus?Lorem ipsum dolor sit amet consectetur adipisicing elit. Repellat ea nisi facere earum optio eos dolorum ipsam, quae nemo incidunt!</h2>
						
						<hr class="animated fadeIn delay-1s">

						<h2 class="animated fadeIn delay-1s" >
							Coded and designed by: <br> 
							Julio Che Moreno & Cristian Boada.
						</h2>

					</div>
				</div>

				<div class="col-md-4 align-self-center">
					<div class="formbox px-4 pb-3 animated fadeIn delay-1s">

						<h3 class="py-3" >Iniciar sesión</h3>

						<form id="loginForm" action="/login" method="post">							
							<label for="">Nombre de usuario</label>
							<input type="text" name="username" id="username" class="asd"/>
							
							<label for="">Contraseña</label>
							<input type="password" name="password" id="password" class="asd"/>
							
							<button type="button" class="btn btn-outline-light btn-md btn-block mb-3">Iniciar sesión</button>
							
							
							<label for="">¿Aún no tienes cuenta?</label>
							<a th:href="@{/auth/register}" class="btn btn-outline-secondary btn-md btn-block mb-3 mt-2">Regístrarse</a>
							
						</form>	
					</div>
				</div>
			</div>

		</div>
		

		<!-- jQuery first, then Popper.js, then Bootstrap JS -->
		<script src="https://code.jquery.com/jquery-3.3.1.min.js"   integrity="sha256-FgpCb/KJQlLNfOu91ta32o/NMZxltwRo8QtmkMRdAu8="   crossorigin="anonymous"></script>
		<script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.7/umd/popper.min.js" integrity="sha384-UO2eT0CpHqdSJQ6hJty5KVphtPhzWj9WO1clHTMGa3JDZwrnQq4sF86dIHNDz0W1" crossorigin="anonymous"></script>
		<script src="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/js/bootstrap.min.js" 
		integrity="sha384-JjSmVgyd0p3pXB1rRibZUAYoIIy6OrQ6VrjIEaFf/nJGzIxFDsf4x0xIM+B07jRM" crossorigin="anonymous"></script>
		
		<!-- Optional JavaScript -->
		<script src="/js/authService.js" type="text/javascript"></script>
		
		<script type="text/javascript">
		function loadingAjax(div_id) {
			
			var divIdHtml = $("#"+div_id).html();
			
			token = sessionStorage.getItem('token')
			if (token != null) {
				
				$.ajax({
					type: "GET",
					url: "http://localhost:8080/api/auth/user",
					headers: {"Authorization": token},
					beforeSend: function() {
						$("#loading-image").show();
			       	},
			       	success: (data) => {
			              //$("#"+div_id).html(divIdHtml + msg);
			       		//console.log(data);
			       		$("#loading-image").hide();

			       		window.location.href = "/store";
			       	},
			       	error: (err) => {
			       		sessionStorage.removeItem('token');
			       		
			   		},
			   		complete: (xhr, status) => {
						console.log("loading complete", status);
						
			   		}
				});
				
			}
			
			
		}
		</script>
		
	</body>
</html>